import React, { Component } from 'react';
export declare const ICON_SIDES: string[];
export declare class FormControlLayout extends Component<{
    children?: any;
    icon?: any;
    clear?: any;
    fullWidth?: any;
    isLoading?: any;
    compressed?: any;
    className?: any;
    prepend?: any;
    append?: any;
}> {
    static propTypes: {};
    static defaultProps: {};
    render(): JSX.Element;
    renderPrepends(): any;
    renderAppends(): any;
    createSideNode(node: any, side: any, key?: any): React.DetailedReactHTMLElement<{
        className: string;
        key: any;
    }, HTMLElement>;
}
